{pkgs, ...}: {
  boot.kernelModules = [
    "i2c-dev"
  ];

  services.udev.extraRules = ''
    ACTION=="add", SUBSYSTEM=="i2c-dev", ATTR{name}=="AMDGPU DM aux hw bus [0-9]*", TAG+="uaccess"
    ACTION=="add", SUBSYSTEM=="i2c-dev", ATTR{name}=="AMDGPU DM i2c hw bus [0-9]*", TAG+="uaccess"
  '';

  environment.systemPackages = with pkgs; [
    ddcutil
  ];
}
